#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.root.interfaces import ISiteRoot as ISiteRootBase, \
                                          ISiteRootRoles as ISiteRootRolesBase, \
                                          ISiteRootConfiguration as ISiteRootConfigurationBase, \
                                          ISiteRootToolsConfiguration as ISiteRootToolsConfigurationBase, \
                                          ISiteRootBackOfficeConfiguration as ISiteRootBackOfficeConfigurationBase

# import packages
from zope.interface import Attribute


class ISiteRoot(ISiteRootBase):
    """Main site root interface"""


class ISiteRootRoles(ISiteRootRolesBase):
    """Main site roles"""


class ISiteRootConfiguration(ISiteRootConfigurationBase):
    """Site root configuration interface"""


class ISiteRootToolsConfiguration(ISiteRootToolsConfigurationBase):
    """Site root tools configuration interface"""

    leisures_tool_name = Attribute("Leisures tool name")

    tables_name = Attribute("References tables manager name")
    country_table_name = Attribute("Countries table name")
    region_table_name = Attribute("Regions table name")
    department_table_name = Attribute("Departments table name")
    territory_table_name = Attribute("Territories table name")
    agency_table_name = Attribute("Agencies table name")
    unit_table_name = Attribute("Territorial units table name")
    target_table_name = Attribute("Targets table name")


class ISiteRootBackOfficeConfiguration(ISiteRootBackOfficeConfigurationBase):
    """Site root back-office configuration interface"""
