#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.component.hearing.interfaces import IHearingTarget

# import packages
from pyams_content.shared.common import register_content_type
from pyams_content.shared.site import WfTopic as WfTopicBase, Topic as TopicBase
from zope.interface import implementer


@implementer(IHearingTarget)
class WfTopic(WfTopicBase):
    """Base topic class"""


register_content_type(WfTopic)


class Topic(TopicBase):
    """Workflow managed topic class"""

    content_class = WfTopic
